Debian Bug report logs - #222562
tpkg-install-libc now requires linux-kernel-headers

version graph

Package: toolchain-source; Maintainer for toolchain-source is (unknown);

Reported by: John Zaitseff <J.Zaitseff@zap.org.au>

Date: Sun, 30 Nov 2003 21:48:10 UTC

Severity: normal

Found in version 3.2-8

Fixed in version toolchain-source/3.3-1

Done: Hakan Ardo <hakan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hakan Ardo <hakan@debian.org>:
Bug#222562; Package toolchain-source. Full text and rfc822 format available.

Acknowledgement sent to John Zaitseff <J.Zaitseff@zap.org.au>:
New Bug report received and forwarded. Copy sent to Hakan Ardo <hakan@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Zaitseff <J.Zaitseff@zap.org.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tpkg-install-libc now requires linux-kernel-headers
Date: Mon, 1 Dec 2003 08:46:44 +1100
Package: toolchain-source
Version: 3.2-8

The script tpkg-install-libc now requires downloading the package
linux-kernel-headers.  This is due to the fact that the version of
libc6-dev in Debian unstable requires this additional package.  The
following patch does what is needed for this to work.

Please note the following points:

* This patch requires a patch to dpkg-cross(1), as noted in Bug 222168.
* This patch downloads all packages to a user-defined location, by
  default /tmp/tpkg-install-libc.  This makes it easier to clean up
  the temporary directory :-)

Yours truly,

John Zaitseff


--- /usr/bin/tpkg-install-libc.orig	2003-03-12 19:40:31.000000000 +1100
+++ /usr/bin/tpkg-install-libc	2003-11-25 16:47:58.000000000 +1100
@@ -1,15 +1,18 @@
 #!/bin/sh
+# [JNZ] Modified 25-Nov-2003
 
-SERVER=${TPKG_SERVER:-"ftp://ftp.uk.debian.org"}
+SERVER=${TPKG_SERVER:-"ftp://ftp.debian.org"}
+TDIR=${TPKG_DIR:-/tmp/tpkg-install-libc}
+mkdir $TDIR
 
 # $1 is the architecture name
 archname=$1
 
-DEFAULTLIBSET='libdb1-compat$ libc6$ libc6.*-dev$'
+DEFAULTLIBSET='libdb1-compat$ libc6$ libc6.*-dev$ linux-kernel-headers$'
 
 case $1 in
         alpha*)
-          DEFAULTLIBSET='libdb1-compat$ libc6.[0-9]*$ libc6.[0-9]*-dev$'
+          DEFAULTLIBSET='libdb1-compat$ libc6.[0-9]*$ libc6.[0-9]*-dev$ linux-kernel-headers$'
           debarch=alpha ;;
 
         arm*)
@@ -22,7 +25,7 @@
           debarch=i386 ;;
 
         ia64*)
-          DEFAULTLIBSET='libdb1-compat$ libc6.[0-9]*$ libc6.[0-9]*-dev$'
+          DEFAULTLIBSET='libdb1-compat$ libc6.[0-9]*$ libc6.[0-9]*-dev$ linux-kernel-headers$'
           debarch=ia64 ;;
 
         m68k*)
@@ -55,17 +58,17 @@
     LIBSET=${LIBSET:-$DEFAULTLIBSET}
 fi
 
-wget $SERVER/debian/dists/testing/main/binary-${debarch}/Packages.gz -O /tmp/packageset.gz || exit 2
+wget $SERVER/debian/dists/testing/main/binary-${debarch}/Packages.gz -O $TDIR/packageset.gz || exit 2
 
-rm -f /tmp/packageset
-gzip -d /tmp/packageset.gz || exit 2
+rm -f $TDIR/packageset
+gzip -d $TDIR/packageset.gz || exit 2
 
 DOWNLOADEDDEBS=""
 for PATTERN in $LIBSET
 do
-        debfilename=`dpkg-awk -f /tmp/packageset "Package:"$PATTERN -- "Filename" | sed --silent 's/Filename: \(.*\)$/\1/p'`
+        debfilename=`dpkg-awk -f $TDIR/packageset "Package:"$PATTERN -- "Filename" | sed --silent 's/Filename: \(.*\)$/\1/p'`
 
-        DEBHERENAME=/tmp/`basename $debfilename`
+        DEBHERENAME=$TDIR/`basename $debfilename`
         wget $SERVER/debian/${debfilename} -O $DEBHERENAME || exit 2
         DOWNLOADEDDEBS="$DOWNLOADEDDEBS $DEBHERENAME"
 done


-- 
John Zaitseff                    ,--_|\    The ZAP Group
Phone:  +61 2 9543 6448         /      \   Sydney, Australia
E-mail: J.Zaitseff@zap.org.au   \_,--._*   http://www.zap.org.au/
Finger: john@zap.org.au               v
GnuPG   fingerprint:  8FD2 8962 7768 2546 FE07  DE7C 61A8 4486 C9A6 69B0



Reply sent to Hakan Ardo <hakan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to John Zaitseff <J.Zaitseff@zap.org.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 222562-close@bugs.debian.org (full text, mbox):

From: Hakan Ardo <hakan@debian.org>
To: 222562-close@bugs.debian.org
Subject: Bug#222562: fixed in toolchain-source 3.3-1
Date: Sun, 04 Apr 2004 12:17:35 -0400
Source: toolchain-source
Source-Version: 3.3-1

We believe that the bug you reported is fixed in the latest version of
toolchain-source, which is due to be installed in the Debian FTP archive:

toolchain-source-gdb_3.3-1_all.deb
  to pool/main/t/toolchain-source/toolchain-source-gdb_3.3-1_all.deb
toolchain-source-newlib_3.3-1_all.deb
  to pool/main/t/toolchain-source/toolchain-source-newlib_3.3-1_all.deb
toolchain-source_3.3-1.dsc
  to pool/main/t/toolchain-source/toolchain-source_3.3-1.dsc
toolchain-source_3.3-1.tar.gz
  to pool/main/t/toolchain-source/toolchain-source_3.3-1.tar.gz
toolchain-source_3.3-1_all.deb
  to pool/main/t/toolchain-source/toolchain-source_3.3-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 222562@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hakan Ardo <hakan@debian.org> (supplier of updated toolchain-source package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  2 Apr 2004 17:26:26 +0200
Source: toolchain-source
Binary: toolchain-source-newlib toolchain-source toolchain-source-gdb
Architecture: source all
Version: 3.3-1
Distribution: unstable
Urgency: low
Maintainer: Hakan Ardo <hakan@debian.org>
Changed-By: Hakan Ardo <hakan@debian.org>
Description: 
 toolchain-source - The GNU binutils and gcc source code
 toolchain-source-gdb - The GNU gdb source code
 toolchain-source-newlib - The newlib source code
Closes: 205088 205233 219355 219357 219362 222219 222562 223994 224003 238521
Changes: 
 toolchain-source (3.3-1) unstable; urgency=low
 .
   * Update binutils to 2.14.90.0.7
   * Binutils package now dpatch based (closes: #238521)
   * Updated gcc to 3.3.3
   * Now recommends autoconf2.13 and automake1.4
   * Applied pacth from John Zaitseff <J.Zaitseff@zap.org.au>
     (closes: #222562, #222219)
       + Adds linux-kernel-headers to default libs
       + This patch downloads all packages to a user-defined
         location, by default /tmp/tpkg-install-libc.  This makes
         it easier to clean up the temporary directory :-)
   * Now includes a patched version of dpkg-cross with the patches from
     bugs #222168 and #229241 apllied (closes: #219362)
   * tpkg-install-libc now have more restrictive patternmatching on the
     arch (closes: #205088, #223994)
   * toolchain-source-gdb now recomends libncurses5-dev (closes: #205233)
   * Updated manpage to reflect chancges (closes: #219355)
   * Applied patch from Peter Chubb <peter@chubb.wattle.id.au> fixing bug
     when multiple packages are matched (closes: #219357)
   * Removed error message when toolchain-source-gdb not installed
     (closes: #224003)
   * Updaded gdb to 6.0
Files: 
 c2337b1c493d71fd5a689e10addfeaa3 569 devel extra toolchain-source_3.3-1.dsc
 112edee007f7a1ebafd5f41ec51fa309 49889317 devel extra toolchain-source_3.3-1.tar.gz
 0a465e0bdfca2d71224e51043832bdd2 33579262 devel extra toolchain-source_3.3-1_all.deb
 ca72d02ce32d50bcc354d5a92128586c 12031528 devel extra toolchain-source-gdb_3.3-1_all.deb
 7bda80ed1791b75e810536520ab761a0 2155658 devel extra toolchain-source-newlib_3.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.0 (GNU/Linux)

iD8DBQFAcCKmAbtddT3jfcARAg+9AJsF1dnJH7y4Z+Wj5KwLzyo756+U0gCff0kp
v7mjafLMWalFqd7O8ZSJBVo=
=8k1m
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:51:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.